Bug 970037 (CVE-2013-2112) - CVE-2013-2112 subversion: Remote DoS due improper handling of early-closing TCP connections
Summary: CVE-2013-2112 subversion: Remote DoS due improper handling of early-closing T...
Status: CLOSED ERRATA
Alias: CVE-2013-2112
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130531,reported=2...
Keywords: Security
Depends On: 970044 1064216 1064218 1064221 1064222
Blocks: 970062 1062046
TreeView+ depends on / blocked
 
Reported: 2013-06-03 11:14 UTC by Jan Lieskovsky
Modified: 2018-12-09 17:02 UTC (History)
3 users (show)

Fixed In Version: Subversion 1.6.23, Subversion 1.7.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-21 09:13:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0255 normal SHIPPED_LIVE Moderate: subversion security update 2014-03-06 00:00:14 UTC

Description Jan Lieskovsky 2013-06-03 11:14:57 UTC
A denial of service flaw was found in the way svnserve tool of Subversion, a concurrent version control system, managed remote client TCP connections that got closed early in the connection process (previously aborted connections were treated as critical errors, resulting into svnserve termination). A remote attacker could use this flaw to cause denial of service (svnserve daemon exit, leading to disruption of SVN service to other users).

References:
[1] http://subversion.apache.org/security/CVE-2013-2112-advisory.txt

Annoucements:
[2] http://mail-archives.apache.org/mod_mbox/subversion-dev/201305.mbox/%3CCADkdwvTxsMFeHgc8bK2V-2PrSrKoBffTi8+xbHA5tocrrewWew@mail.gmail.com%3E
    (1.6.23)
[3] http://mail-archives.apache.org/mod_mbox/subversion-dev/201305.mbox/%3CCADkdwvRK51pQsybfvsAzjxQJrmVpL0fEa1K4WGkUP9Tzz6KFDw@mail.gmail.com%3E
    (1.7.10)

Comment 1 Jan Lieskovsky 2013-06-03 11:16:53 UTC
This issue affects the versions of the subversion package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the subversion package, as shipped with Fedora release of 17 and 18. Please schedule an update.

Comment 2 Jan Lieskovsky 2013-06-03 11:21:43 UTC
Created subversion tracking bugs for this issue

Affects: fedora-all [bug 970044]

Comment 10 Huzaifa S. Sidhpurwala 2013-06-18 04:11:32 UTC
Statement:

This issue affects the version of subversion as shipped with Red Hat Enterprise Linux 5 and 6. The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.

Comment 11 Fedora Update System 2013-08-15 02:33:25 UTC
subversion-1.7.11-1.fc18.1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Tomas Hoger 2014-10-21 09:13:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0255 https://rhn.redhat.com/errata/RHSA-2014-0255.html


Note You need to log in before you can comment on or make changes to this bug.